com.comtrade.ecm.engine.logging

## Class AbstractLogger

- java.lang.Object
- - com.comtrade.ecm.engine.logging.AbstractLogger

- All Implemented Interfaces:
    EcmLogger, EcmSimpleLogger, EcmSupplierLogger

      public abstract class AbstractLogger
      extends java.lang.Object
      implements EcmLogger

  Handy implementation for some EcmLogger-methods.
  This class can (but does not have to= be used as a basis for concrete EcmLoggers.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractLogger()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(Identifiable identifiable, java.util.function.Supplier<java.lang.String> supplier)`
    `void` | `debug(Identifiable identifiable, java.util.function.Supplier<java.lang.String> supplier, java.lang.Throwable e)`
    `void` | `debug(java.util.function.Supplier<java.lang.String> supplier)`
    `void` | `debug(java.util.function.Supplier<java.lang.String> supplier, java.lang.Throwable e)`
    `void` | `debug(java.lang.Throwable e)`
    `void` | `error(Identifiable identifiable, java.util.function.Supplier<java.lang.String> supplier)`
    `void` | `error(Identifiable identifiable, java.util.function.Supplier<java.lang.String> supplier, java.lang.Throwable e)`
    `void` | `error(java.util.function.Supplier<java.lang.String> supplier)`
    `void` | `error(java.util.function.Supplier<java.lang.String> supplier, java.lang.Throwable e)`
    `void` | `error(java.lang.Throwable e)`
    `void` | `info(Identifiable identifiable, java.util.function.Supplier<java.lang.String> supplier)`
    `void` | `info(Identifiable identifiable, java.util.function.Supplier<java.lang.String> supplier, java.lang.Throwable e)`
    `void` | `info(java.util.function.Supplier<java.lang.String> supplier)`
    `void` | `info(java.util.function.Supplier<java.lang.String> supplier, java.lang.Throwable e)`
    `void` | `info(java.lang.Throwable e)`
    `void` | `warning(Identifiable identifiable, java.util.function.Supplier<java.lang.String> supplier)`
    `void` | `warning(Identifiable identifiable, java.util.function.Supplier<java.lang.String> supplier, java.lang.Throwable e)`
    `void` | `warning(java.util.function.Supplier<java.lang.String> supplier)`
    `void` | `warning(java.util.function.Supplier<java.lang.String> supplier, java.lang.Throwable e)`
    `void` | `warning(java.lang.Throwable e)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.comtrade.ecm.engine.logging.EcmSimpleLogger

      `debug, debug, debug, debug, error, error, error, error, info, info, info, info, isDebugEnabled, isErrorEnabled, isInfoEnabled, isWarnEnabled, setLoggingLevel, warning, warning, warning, warning`

- - ### Constructor Detail

    - #### AbstractLogger

          public AbstractLogger()

  - ### Method Detail

    - #### info

          public void info(java.lang.Throwable e)

      Specified by:
        `info` in interface `EcmSimpleLogger`

    - #### warning

          public void warning(java.lang.Throwable e)

      Specified by:
        `warning` in interface `EcmSimpleLogger`

    - #### debug

          public void debug(java.lang.Throwable e)

      Specified by:
        `debug` in interface `EcmSimpleLogger`

    - #### error

          public void error(java.lang.Throwable e)

      Specified by:
        `error` in interface `EcmSimpleLogger`

    - #### debug

          public void debug(java.util.function.Supplier<java.lang.String> supplier)

      Specified by:
        `debug` in interface `EcmSupplierLogger`

    - #### debug

          public void debug(Identifiable identifiable,
                            java.util.function.Supplier<java.lang.String> supplier)

      Specified by:
        `debug` in interface `EcmSupplierLogger`

    - #### debug

          public void debug(java.util.function.Supplier<java.lang.String> supplier,
                            java.lang.Throwable e)

      Specified by:
        `debug` in interface `EcmSupplierLogger`

    - #### debug

          public void debug(Identifiable identifiable,
                            java.util.function.Supplier<java.lang.String> supplier,
                            java.lang.Throwable e)

      Specified by:
        `debug` in interface `EcmSupplierLogger`

    - #### info

          public void info(java.util.function.Supplier<java.lang.String> supplier)

      Specified by:
        `info` in interface `EcmSupplierLogger`

    - #### info

          public void info(Identifiable identifiable,
                           java.util.function.Supplier<java.lang.String> supplier)

      Specified by:
        `info` in interface `EcmSupplierLogger`

    - #### info

          public void info(java.util.function.Supplier<java.lang.String> supplier,
                           java.lang.Throwable e)

      Specified by:
        `info` in interface `EcmSupplierLogger`

    - #### info

          public void info(Identifiable identifiable,
                           java.util.function.Supplier<java.lang.String> supplier,
                           java.lang.Throwable e)

      Specified by:
        `info` in interface `EcmSupplierLogger`

    - #### warning

          public void warning(java.util.function.Supplier<java.lang.String> supplier)

      Specified by:
        `warning` in interface `EcmSupplierLogger`

    - #### warning

          public void warning(Identifiable identifiable,
                              java.util.function.Supplier<java.lang.String> supplier)

      Specified by:
        `warning` in interface `EcmSupplierLogger`

    - #### warning

          public void warning(java.util.function.Supplier<java.lang.String> supplier,
                              java.lang.Throwable e)

      Specified by:
        `warning` in interface `EcmSupplierLogger`

    - #### warning

          public void warning(Identifiable identifiable,
                              java.util.function.Supplier<java.lang.String> supplier,
                              java.lang.Throwable e)

      Specified by:
        `warning` in interface `EcmSupplierLogger`

    - #### error

          public void error(java.util.function.Supplier<java.lang.String> supplier)

      Specified by:
        `error` in interface `EcmSupplierLogger`

    - #### error

          public void error(Identifiable identifiable,
                            java.util.function.Supplier<java.lang.String> supplier)

      Specified by:
        `error` in interface `EcmSupplierLogger`

    - #### error

          public void error(java.util.function.Supplier<java.lang.String> supplier,
                            java.lang.Throwable e)

      Specified by:
        `error` in interface `EcmSupplierLogger`

    - #### error

          public void error(Identifiable identifiable,
                            java.util.function.Supplier<java.lang.String> supplier,
                            java.lang.Throwable e)

      Specified by:
        `error` in interface `EcmSupplierLogger`